# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from entrypoint.common.db import dbConnect

class GlobalSetting():

    def __init__(self, db=None):
        if db == None:
	        self.db = dbConnect()
        else:
            self.db = db
    
    def get_setting(self, item):
        self.db.execute("SELECT `value` FROM `configuration` WHERE `item` = %s", (item))
        setting = self.db.fetchone()
        if setting == None:
            return None
        else:
            return setting[0]
            
    def set_setting(self, item, value):
        if self.get_setting(item) == None:
            self.db.execute("INSERT INTO `configuration` (`item`, `value`) VALUES (%s, %s);", (item, value))
        else:
            self.db.execute("UPDATE `configuration` SET `value` = %s WHERE `item` = %s;", (value, item))
            
        self.db.commit()
