# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from entrypoint.common.db import dbConnect
from entrypoint.common.Member import Member

class MemberManager:
    """ """
    
    def __init__(self, mFilter=None, order=None):
        self.db = dbConnect()
        
        if mFilter == None:
            mFilter = ''
        else:
            mFilter = 'WHERE ' + str(mFilter)
        
        if order == 'last name' or order == None:
            order = "ORDER BY `last_name`"
        
        self.db.execute("SELECT `mid` FROM `members` " + str(mFilter) + " " + str(order) + ";")

    def get_members(self):
        members= {}
        for row in self.db.fetchall():
            members[row[0]] = Member(mid=row[0], db=self.db)
            
        return members
        
    def get_members_in(self):
        members= {}
        for row in self.db.fetchall():
            member = Member(mid=row[0])
            if member.get_status():
                members[row[0]] = Member(mid=row[0])
                
        return members
