# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2011 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import os
import ConfigParser


class Settings():
    def __init__(self, defaultConfig=None):
        self.config = ConfigParser.ConfigParser()
        self.defaultConfig = defaultConfig
        self.load_config()

    def load_config(self):
        if self.defaultConfig == None:
            filePath = [os.path.expanduser('~/.entrypoint.cfg')]
        else:
            filePath = [self.defaultConfig, os.path.expanduser('~/.entrypoint.cfg')]
            
        return self.config.read(filePath)
    
    def remove_item(self, section, item):
        try:
            self.config.remove_option(section, item)
        except:
            return False
        
        return True
    
    def set_item(self, section, item, value):
        try:
            return self.config.set(section, item, value)
        except ConfigParser.NoSectionError:
            self.config.add_section(section)
            return self.config.set(section, item, value)
        
    def get_item(self, section, item):
        try:
            return self.config.get(section, item)
        except:
            return False
    
    def get_itemfloat(self, section, item):
        try:
            return self.config.getfloat(section, item)
        except:
            return False
    
    def write(self):
        cfgfile = open(os.path.expanduser('~/.entrypoint.cfg'),'w')
        self.config.write(cfgfile)
        cfgfile.close()
        return True
