# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import datetime

from entrypoint.common.db import dbConnect
import entrypoint.common.Key

class Visitor :
	'''(NULL)'''
	def __init__(self, **kwargs):
	    if 'db' in kwargs:
	        self.db = kwargs['db']
        else:
            self.db = dbConnect()
	    
	    if 'name' in kwargs:
	        self.name = kwargs['name'] # string
		    self.company = kwargs['company'] # string
		    self.reason = kwargs['reason'] # string
		    self.carRegistration = kwargs['carRegistration'] # string
		    self.timeIn = datetime.datetime.now() # timestamp
		    self.create()
	    
	    elif 'vid' in kwargs:
	        self.db.execute("SELECT * FROM `visitors` WHERE `vid`=%s", (kwargs['vid']))
	        (vid, name, company, carRegistration, reason, timeIn, timeOut) = self.db.fetchone()
	        self.vid = kwargs['vid']
		    self.name = name # string
		    self.company = company # string
		    self.reason = reason # string
		    self.carRegistration = carRegistration # string
		    self.timeIn = timeIn # timestamp
		    self.timeOut = timeOut # timestamp
		    self.key = None # string
	
	def get_vid(self):
	    # returns visitor id
	    return self.vid
	
	def get_name(self):
		# returns name
		return self.name
		
	def get_company(self):
		# returns company name
		return self.company
	
	def get_car_registration(self):
		# returns car registration
		return self.carRegistration
	
	def get_reason(self):
		# returns reason
		return self.reason
	
	def get_key(self):
		# returns key
		return self.key
	
	def get_time_in(self):
		# returns time in
		return self.timeIn
	
	def get_time_out(self):
		# returns time out
		return self.timeOut
	
	def create(self):
		# returns
		
		self.db.execute("""INSERT INTO `visitors` 
		                        (`vid`, `name`, `company`, `car_registration`, `reason`, `time_in`, `time_out`) VALUES 
		                        (NULL ,  %s,  %s,  %s,  %s, %s,  NULL);""", (self.name, self.company, self.carRegistration, self.reason, self.timeIn))
        self.db.commit()
        self.vid = self.db.lastrowid()
        
        self.key = entrypoint.common.Key.Key(KeyType='visitor', keyTypeId=self.vid).get_key()
        
	def sign_out(self):
	    self.timeOut = datetime.datetime.now()
	    self.db.execute("UPDATE `visitors` SET `time_out` = %s WHERE `vid` = %s;", (self.timeOut, self.vid))
	    self.db.commit()
	    entrypoint.common.Key.Key(KeyType='visitor', keyTypeId=self.vid, get=True).delete()
