# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from entrypoint.common.db import dbConnect
from entrypoint.common.Visitor import Visitor

class VisitorManager:
    """ """
    
    def __init__(self, vFilter=None, order=None):
        self.db = dbConnect()
        
        if vFilter == None:
            vFilter = ''
        else:
            vFilter = 'WHERE ' + str(vFilter)
        
        if order == 'name' or order == None:
            order = "ORDER BY `name`"
        elif order == "time in":
            order = " ORDER BY `time_in` DESC"
        elif order == "time out":
            order = " ORDER BY `time_out`"
        
        self.db.execute("SELECT vid FROM `visitors` " + str(vFilter) + " " + str(order) + ";")
        
    
    def get_visitors(self):
        visitors= {}
        for row in self.db.fetchall():
            visitors[row[0]] = Visitor(vid=row[0], db=self.db)
            
        return visitors
