# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE
 
from entrypoint.common.db import dbConnect, __dbversion__
from entrypoint.common.db.updates import *

class Updater:
    def __init__(self):
        self.db = None
        self.database = None

    def connect(self, host, username, password, database):
        self.database = database

        self.db = dbConnect(host, username, password, database)


    def get_current_db_version(self):
        try:
            self.db.execute("SELECT `value` FROM `configuration` WHERE `item`='dbversion';")
        except:
            return 0
        
        return self.db.fetchone()[0]

    def update(self):
        #TODO
        reqDB = __dbversion__
        currDB = self.get_current_db_version()
        
        if reqDB > currDB:
            nextDB = int(currDB) + 1
            while True:
                obj = eval('update_'+str(nextDB))
                if callable(obj):
                    obj(self.db)
                    self.db.execute("UPDATE `configuration` SET `value` = '%s' WHERE `item` = 'dbversion';", (nextDB))            
                    self.db.commit()
                    currDB + 1
                    nextDB + 1
                    if reqDB > currDB:
                        break
                        
    def check_if_db_empty(self):
        self.db.execute("SELECT COUNT(DISTINCT `table_name`) FROM `information_schema`.`columns` WHERE `table_schema` = %s;", (self.database))
        
        if self.db.fetchone()[0] == 0:
            return True
        else:
            return False
