# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import time
import sys
import MySQLdb
from entrypoint.common.Settings import Settings

#Database version required
__dbversion__ = 1

def get_required_db_version():
    return __dbversion__

class dbConnect():

    def __init__(self, host=None, user=None, passwd=None, db=None):
        if host == None or user == None or passwd == None or db == None:
            settings = Settings()
            self.host = settings.get_item('database', 'host')
            self.user = settings.get_item('database', 'user')
            self.passwd = settings.get_item('database', 'password')
            self.db = settings.get_item('database', 'database')
        else:
            self.host = host
            self.user = user
            self.passwd = passwd
            self.db = db
            
        self.connect()
    
    def test_connect(self):
        return self.connect()
    
    def connect(self):
        try:
            self.con = MySQLdb.connect(host=self.host, user=self.user, passwd=self.passwd, db=self.db)
        except:
            #Raise
            #print "Error %d: %s" % (e.args[0], e.args[1])
            return False

        self.cur = self.con.cursor()
        self.lastConnection = time.time()
        return True
    
    def execute(self, query, var=None):
        if (time.time() - self.lastConnection) > 300 :
            print "SQL connect timed out - reconnecting"
            self.connect()
        self.cur.execute(query, var)
        self.lastConnection = time.time()
        
    def commit(self):
        self.con.commit()
        
    def lastrowid(self):
        return self.cur.lastrowid
        
    def fetchall(self):
        return self.cur.fetchall()
        
    def fetchone(self):
        return self.cur.fetchone()

class ErrorWrongDatabaseVersion(Exception):
    """Base class for exceptions in this module."""
    pass
