# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

def update_1(db):
    db.execute("""CREATE TABLE `keys` (
                    `key` int(10) NOT NULL,
                    `type` varchar(10) NOT NULL,
                    `type_id` int(11) NOT NULL,
                    PRIMARY KEY (`key`)
                  ) ENGINE=InnoDB DEFAULT CHARSET=latin1;""")

    db.execute("""CREATE TABLE `visitors` (
                      `vid` int(11) NOT NULL AUTO_INCREMENT,
                      `name` varchar(255) NOT NULL,
                      `company` varchar(255) NOT NULL,
                      `car_registration` varchar(255) NOT NULL,
                      `reason` varchar(255) NOT NULL,
                      `time_in` datetime NOT NULL,
                      `time_out` datetime NULL DEFAULT NULL,
                      PRIMARY KEY (`vid`)
                  ) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;""")

    db.execute("""CREATE TABLE `configuration` (
                      `cid` INT NOT NULL AUTO_INCREMENT,
                      `item` VARCHAR(45) NOT NULL ,
                      `value` VARCHAR(255) NULL ,
                      PRIMARY KEY (`cid`) ,
                      UNIQUE INDEX `item_UNIQUE` (`item` ASC) )
                    ENGINE = InnoDB;""")
    
    db.execute("""CREATE TABLE `members` (
                      `mid` int(11) NOT NULL AUTO_INCREMENT,
                      `title` varchar(10) NOT NULL,
                      `first_name` text NOT NULL,
                      `last_name` text NOT NULL,
                      `date_of_birth` date NOT NULL,
                      `car_registration` text DEFAULT NULL,
                      `type` text NOT NULL,
                      `notes` mediumtext DEFAULT NULL,
                      `active` tinyint(1) NOT NULL,
                      PRIMARY KEY (`mid`)) 
                    ENGINE=InnoDB;""")
                    
    db.execute("""CREATE TABLE `member_photo` (
                      `mid` int(11) NOT NULL,
                      `photo_blob` longblob NOT NULL,
                      PRIMARY KEY (`mid`)) 
                    ENGINE=InnoDB;""")

    db.execute("""CREATE TABLE IF NOT EXISTS `member_log` (
                      `mlid` int(11) NOT NULL AUTO_INCREMENT,
                      `mid` int(11) NOT NULL,
                      `time_in` datetime NOT NULL,
                      `time_out` datetime DEFAULT NULL,
                      PRIMARY KEY (`mlid`)
                    ) ENGINE=InnoDB;""")


    db.commit()
    
    db.execute("INSERT INTO `configuration` (`item`, `value`)VALUES('dbversion',  '0');")
    db.execute("INSERT INTO `configuration` (`item`, `value`)VALUES('idCardColour',  '#3366FF');")
    db.execute("INSERT INTO `configuration` (`item`, `value`)VALUES('idCardTitle',  'Somewhere');")
    db.execute("INSERT INTO `configuration` (`item`, `value`)VALUES('organisationName',  'Somewhere');")
                    
    db.commit()
