# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2011 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from gi.repository import Gtk


class DobView():

    def __init__(self, dateButtonCommand):
        self.HBox = Gtk.HBox()
        FixedRight = Gtk.Fixed()
        self.HBox.pack_start(FixedRight, True, True, 0)
        VBox = Gtk.VBox()
        self.HBox.pack_start(VBox, False, False, 0)
       # FixedTop = Gtk.Fixed()
        #VBox.pack_start(FixedTop, True, True, 0)
        
        label = Gtk.Label()
        label.set_text("Please select the day of your birth.")
        VBox.pack_start(label, False, False, 0)
        
        label2 = Gtk.Label()
        label2.set_text("For example if you was born on 24th February, you would select 24.")
        VBox.pack_start(label2, False, False, 0)
        
        self.DoBTable = Gtk.Table(4, 8, True)
        self.DoBTable.set_row_spacings(5)
        self.DoBTable.set_col_spacings(5)
        VBox.pack_start(self.DoBTable, True, True, 5)
        self.buttons = {}
        left = 0
        right = 1
        top = 0
        bottom = 1
        for n in ['01', '02', '03', '04', '05', '06', '07', '08', '09', 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31]:
            self.buttons[n] = Gtk.Button(label=n)
            self.buttons[n].set_size_request(75,75)
            self.buttons[n].connect("clicked", dateButtonCommand)
            self.buttons[n].set_property('can-focus', False)

            if right > 8:
                left = 0
                right = 1
                top = top + 1
                bottom = bottom + 1
            self.DoBTable.attach(self.buttons[n], left, right, top, bottom, False, False)
            left = left + 1
            right = right + 1
            
        FixedBottom = Gtk.Fixed()
        VBox.pack_start(FixedBottom, True, True, 0)
        
        FixedLeft = Gtk.Fixed()
        self.HBox.pack_start(FixedLeft, True, True, 0)
            
    def get_view(self):
        return self.HBox
    
    def set_visible(self, status):
        """Set the visible of the view"""
        self.HBox.set_visible(status)
