# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2011 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from gi.repository import Gtk

class EntryView():

    def __init__(self):
    
        self.VBox = Gtk.VBox()
        FixedTop = Gtk.Fixed()
        self.VBox.pack_start(FixedTop, True, True, 0)
        self.label = Gtk.Label()
        self.VBox.pack_start(self.label, False, False, 0)
        self.entry = Gtk.Entry()
        self.entry.set_editable(False)
        #self.entry.set_justify(Gtk.Justification.CENTER)
        self.VBox.pack_start(self.entry, False, False, 5)
        FixedBottom = Gtk.Fixed()
        self.VBox.pack_start(FixedBottom, True, True, 0)
        
    def get_view(self):
        return self.VBox
    
    def set_text(self, text):
        return self.entry.set_text(text)
        
    def get_text(self):
        return self.entry.get_text()
        
    def set_question(self, question):
        self.label.set_text(question)
    
    def reset_text(self):
        return self.entry.set_text("")
        
    def set_visible(self, status):
        self.VBox.set_visible(status)
