# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2011 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from gi.repository import Gtk

class MessageView():
    """Provides view for displaying two line full screen messages
       eg. "Thank you for signing in"
    """

    def __init__(self):
        """Setup the view"""
        self.VBox = Gtk.VBox()
        FixedTop = Gtk.Fixed()
        self.VBox.pack_start(FixedTop, True, True, 0)
        self.label1 = Gtk.Label()
        self.VBox.pack_start(self.label1, False, False, 0)
        self.label2 = Gtk.Label()
        self.VBox.pack_start(self.label2, False, False, 0)
        FixedBottom = Gtk.Fixed()
        self.VBox.pack_start(FixedBottom, True, True, 0)
        
    def get_view(self):
        """Returns view"""
        return self.VBox
    
    def set_text(self, text, text2=None):
        """Sets the message for line 1 and 2"""
        self.label1.set_text(text)
        self.label2.set_text(text2)

    def set_visible(self, status):
        """Set the visible of the view"""
        self.VBox.set_visible(status)
