# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from gi.repository import Gtk

class SettingMenuView():

    def __init__(self, settingCommand, aboutCommand, backCommand):
        self.VBox = Gtk.VBox()
        
        # Menu
        HBox = Gtk.HBox()
        self.VBox.pack_start(HBox, True, True, 0)

        ## Fixed Left
        fixedLeft = Gtk.Fixed()
        HBox.pack_start(fixedLeft, True, True, 0)
        
        ##Buttons
        buttonsVBox = Gtk.VBox()
        HBox.pack_start(buttonsVBox, False, False, 0)
        
        fixedTop = Gtk.Fixed()
        buttonsVBox.pack_start(fixedTop, True, True, 0)
        
        buttonSettings = Gtk.Button(label='Settings')
        buttonSettings.set_size_request(250,150)
        buttonSettings.connect("clicked", settingCommand)
        buttonsVBox.pack_start(buttonSettings, False, False, 5)
        
        buttonAbout = Gtk.Button(label='About')
        buttonAbout.set_size_request(250,150)
        buttonAbout.connect("clicked", aboutCommand)
        buttonsVBox.pack_start(buttonAbout, False, False, 5)
        
        buttonExit = Gtk.Button(label='Exit')
        buttonExit.set_size_request(250,150)
        buttonExit.connect("clicked", Gtk.main_quit)
        buttonsVBox.pack_start(buttonExit, False, False, 5)
        
        buttonBack = Gtk.Button(label='Back')
        buttonBack.connect("clicked", backCommand)
        buttonBack.set_size_request(250,150)
        buttonsVBox.pack_start(buttonBack, False, False, 5)
        
        fixedBottom = Gtk.Fixed()
        buttonsVBox.pack_start(fixedBottom, True, True, 0)
        
        ## Fixed Right
        fixedRight = Gtk.Fixed()
        HBox.pack_start(fixedRight, True, True, 0)
        
    def get_view(self):
        return self.VBox
   
    def set_visible(self, status):
        self.VBox.set_visible(status)
