# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor <samtaylor.uk@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

from gi.repository import Gtk

class SettingView():

    def __init__(self, buttonVolumeCommand, signInVolumeCommand, labelPrinterCommand, firePrinterCommand, backCommand):
        self.VBox = Gtk.VBox()
        
        # Menu
        HBox = Gtk.HBox()
        self.VBox.pack_start(HBox, True, True, 0)

        ## Fixed Left
        fixedLeft = Gtk.Fixed()
        HBox.pack_start(fixedLeft, True, True, 0)
        
        ##Buttons
        buttonsVBox = Gtk.VBox()
        HBox.pack_start(buttonsVBox, False, False, 0)
        
        fixedTop = Gtk.Fixed()
        buttonsVBox.pack_start(fixedTop, True, True, 0)
        
        label1 = Gtk.Label()
        label1.set_text("Button Sound Volume")
        buttonsVBox.pack_start(label1, False, False, 0)
        
        self.buttonScale = Gtk.HScale()
        self.buttonScale.set_range(0, 10)
        self.buttonScale.connect("value-changed", buttonVolumeCommand)
        buttonsVBox.pack_start(self.buttonScale, False, False, 0)
        
        label2 = Gtk.Label()
        label2.set_text("Sign In/Sign Out Sound Volume")
        buttonsVBox.pack_start(label2, False, False, 0)
        
        self.signInScale = Gtk.HScale()
        self.signInScale.set_range(0, 10)
        self.signInScale.connect("value-changed", signInVolumeCommand)
        buttonsVBox.pack_start(self.signInScale, False, False, 0)
        
        buttonLabelPrinter = Gtk.Button(label='Select Label Printer')
        buttonLabelPrinter.connect("clicked", labelPrinterCommand)
        buttonLabelPrinter.set_size_request(250,100)
        buttonsVBox.pack_start(buttonLabelPrinter, False, False, 5)
        
        buttonFirePrinter = Gtk.Button(label='Select Fire Printers')
        buttonFirePrinter.connect("clicked", firePrinterCommand)
        buttonFirePrinter.set_size_request(250,100)
        buttonsVBox.pack_start(buttonFirePrinter, False, False, 5)
        
        buttonBack = Gtk.Button(label='Back')
        buttonBack.connect("clicked", backCommand)
        buttonBack.set_size_request(250,100)
        buttonsVBox.pack_start(buttonBack, False, False, 5)
        
        fixedBottom = Gtk.Fixed()
        buttonsVBox.pack_start(fixedBottom, True, True, 0)
        
        ## Fixed Right
        fixedRight = Gtk.Fixed()
        HBox.pack_start(fixedRight, True, True, 0)
        
    def get_view(self):
        return self.VBox
   
    def set_visible(self, status):
        self.VBox.set_visible(status)
        
    def set_volume(self, button, signIn):
        self.buttonScale.set_value(button)
        self.signInScale.set_value(signIn)

