#!/usr/bin/env python
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# This file is part of EntryPoint
### BEGIN LICENSE
# Copyright (C) 2012 Samuel Taylor samtaylor.uk@gmail.com
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import glob
import re
import sys

from distutils.core import setup

base = None
if sys.platform == "win32":
    base = "Win32GUI"

# files to install
inst_share_ui = glob.glob('data/themes/default/*')
inst_share_media = glob.glob('data/default.cfg')

data_files = [
  ('share/entrypoint-kiosk/themes/default',   inst_share_ui),
  ('share/entrypoint-kiosk/',   ['data/default.cfg', 'data/entrypoint-kiosk.png']),
  ('/usr/share/applications', ["entrypoint-kiosk.desktop"])
]

setup(
    name         = "EntryPoint Kiosk",
    version      = '1.1',
    #description = "An example wxPython script",
    author       = "Samuel Taylor",
    author_email = "samtaylor.uk@gmail.com",
    url          = "http://entrypoint.org.uk",
    data_files   = data_files,
    scripts      = ["bin/entrypoint-kiosk"],
    packages     = ['entrypoint.common', 'entrypoint.common.db', 'entrypoint.kiosk'],
    #package_dir  = {'entrypoint.common': '../entrypoint-common/entrypoint/common', 'entrypoint.common.db': '../entrypoint-common/entrypoint/common/db'},
)
